Workspaces
Create a new workspace
POST
/workspacesAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workspaces" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "$schema": "https://example.com/api/v1/schemas/CreateWorkspaceOutputBody.json", "created_at": "string", "id": "string", "name": "string", "organization_id": "string"}List workspaces for the current user GET
Previous Page
Permanently delete a Workspace and its content DELETE
Permanently deletes the Workspace and its content only after Organization Owner authorization, exact canonical-name confirmation, recent authentication, and lifecycle-blocker checks. Billing and required audit records remain.